Last Comment Bug 726114 - Firefox Crash @ icf.dll with McAfee driver filter
: Firefox Crash @ icf.dll with McAfee driver filter
Status: NEW
[fixed with brand new driver filter i...
: crash
Product: Firefox
Classification: Client Software
Component: Extension Compatibility (show other bugs)
: 10 Branch
: x86 Windows 7
: -- critical (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
: 759090 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-10 11:55 PST by Marcia Knous [:marcia - use ni]
Modified: 2012-08-14 00:39 PDT (History)
8 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marcia Knous [:marcia - use ni] 2012-02-10 11:55:06 PST
Seen while looking at the 10.0 explosive report. Could be safe eyes or possibly McAfee Family Protection. Correlation report below shows problematic version. https://crash-stats.mozilla.com/report/list?signature=icf.dll@0xe130 links the reports which are all Windows.

https://crash-stats.mozilla.com/report/index/987a1c08-13a2-4d8e-a62d-f4b5a2120203

Frame 	Module 	Signature 	Source
0 	ICF.dll 	ICF.dll@0xe130 	
1 	ICF.dll 	ICF.dll@0xe0a8 	
2 	ICF.dll 	ICF.dll@0x416d3 	
3 	ICF.dll 	ICF.dll@0x41973 	
4 	ICF.dll 	ICF.dll@0xe5fa 	
5 	ntdll.dll 	RtlDosApplyFileIsolationRedirection_Ustr 	
6 	ntdll.dll 	LdrpHashUnicodeString 	
7 	ntdll.dll 	RtlDosApplyFileIsolationRedirection_Ustr 	
8 	ICF.dll 	ICF.dll@0x2605c 	
9 		@0xfffffff 	
10 	ICF.dll 	ICF.dll@0x405b7 	
11 	ICF.dll 	ICF.dll@0x3e827 	
12 	ICF.dll 	ICF.dll@0x14438 	
13 	ICF.dll 	ICF.dll@0x14449 	
14 	ICF.dll 	ICF.dll@0x143d0 	
15 	ntdll.dll 	LdrpHashUnicodeString 	
16 	ICF.dll 	ICF.dll@0x405b7 	
17 	ntdll.dll 	RtlSetThreadErrorMode 	
18 	ICF.dll 	ICF.dll@0x24a9f 	
19 	ICF.dll 	ICF.dll@0x139de 	
20 	ICF.dll 	ICF.dll@0x13de1 	
21 	ICF.dll 	ICF.dll@0x20cdf 	
22 	ntdll.dll 	LdrGetDllHandleEx 	
23 	ntdll.dll 	LdrpHashUnicodeString 	
24 	ntdll.dll 	LdrpHashUnicodeString 	
25 	ICF.dll 	ICF.dll@0x1221e 	
26 	ICF.dll 	ICF.dll@0x12580 	
27 	ICF.dll 	ICF.dll@0x139de 	
28 	ntdll.dll 	RtlpAllocateHeap 	
29 	ntdll.dll 	RtlpAllocateHeap 	
30 	ntdll.dll 	RtlFreeHeap 	



icf.dll@0xe7e0|EXCEPTION_ACCESS_VIOLATION_READ (20 crashes)
    100% (20/20) vs.   0% (35/13378) ICF.dll
          0% (0/20) vs.   0% (2/13378) 1.1.3.0
          0% (0/20) vs.   0% (1/13378) 1.1.411.0
          0% (0/20) vs.   0% (2/13378) 1.1.420.0
          0% (0/20) vs.   0% (2/13378) 2.0.10.0
          0% (0/20) vs.   0% (3/13378) 2.0.110.0
        100% (20/20) vs.   0% (20/13378) 2.0.150.0
          0% (0/20) vs.   0% (1/13378) 6.0.240.0
          0% (0/20) vs.   0% (4/13378) 6.0.244.0
Comment 1 Marcia Knous [:marcia - use ni] 2012-03-22 13:26:54 PDT
There are a bunch of these signatures. Correlation shows 2.0.150.0 to be the problematic version. We should probably get a contact at McAfee since this is an annoying crash for end users even though it isn't tremendous volume.

icf.dll@0xe7e0|EXCEPTION_ACCESS_VIOLATION_READ (41 crashes)
    100% (41/41) vs.   0% (210/110886) ICF.dll
          0% (0/41) vs.   0% (1/110886) 1.1.0.0
          0% (0/41) vs.   0% (2/110886) 1.1.400.0
          0% (0/41) vs.   0% (8/110886) 1.1.411.0
          0% (0/41) vs.   0% (19/110886) 1.1.420.0
          0% (0/41) vs.   0% (15/110886) 1.1.540.0
          0% (0/41) vs.   0% (3/110886) 2.0.10.0
          0% (0/41) vs.   0% (40/110886) 2.0.11.0
          0% (0/41) vs.   0% (8/110886) 2.0.110.0
        100% (41/41) vs.   0% (47/110886) 2.0.150.0
          0% (0/41) vs.   0% (45/110886) 2.0.220.0
          0% (0/41) vs.   0% (1/110886) 5.6.0.0
          0% (0/41) vs.   0% (2/110886) 6.0.240.0
          0% (0/41) vs.   0% (2/110886) 6.0.241.0
          0% (0/41) vs.   0% (17/110886) 6.0.244.0
Comment 2 Jorge Villalobos [:jorgev] 2012-03-22 13:37:31 PDT
(In reply to Marcia Knous [:marcia] from comment #1)
> We should probably get a contact at McAfee since this is an annoying crash for 
> end users even though it isn't tremendous volume.

CCing a couple of McAfee contacts who have helped us in the past.
Comment 3 davoudm 2012-03-22 14:05:18 PDT
Hi Jorge,
We will take a look at this.

Thanks, Davoud
Comment 4 davoudm 2012-03-22 14:17:45 PDT
(In reply to davoudm from comment #3)
> Hi Jorge,
> We will take a look at this.
> 
> Thanks, Davoud

This looks like it is related to a driver filter which we use today and it is being replaced by a brand new driver filter which will go out in June. So the problem will go away in 2 months.
Comment 5 Scoobidiver (away) 2012-05-29 01:22:54 PDT
*** Bug 759090 has been marked as a duplicate of this bug. ***
Comment 6 Rachel Humphrey 2012-05-29 03:49:51 PDT
So what your saying is the crash is from my msAfee's family protection but it should be repaired in May 2012 because if that's the truth well it wasn't repaired because it's the last day of this month and it's still doing it.
Comment 7 Scoobidiver (away) 2012-05-29 04:42:59 PDT
(In reply to Rachel Humphrey from comment #6)
> So what your saying is the crash is from my msAfee's family protection but
> it should be repaired in May 2012
June is not May. See comment 4 from McAfee's guy.
Comment 8 Rachel Humphrey 2012-05-29 05:19:31 PDT
oh ok. thanks
Comment 9 Tyler Downer [:Tyler] 2012-08-10 10:55:53 PDT
I had a user report this at https://support.mozilla.org/en-US/questions/934441. Has this update been released yet?
Comment 10 Jorge Villalobos [:jorgev] 2012-08-10 11:03:20 PDT
Davoud, can you give us an update on this?
Comment 11 Jorge Villalobos [:jorgev] 2012-08-13 14:51:53 PDT
I've been informed by McAfee that this should have been fixed in version 2.3, released on 6/25. They also noted that updates aren't forced, so it's likely there are users still on the crashy versions. In those cases they recommend pointing the users to home.mcafee.com and have them download the update.

It looks like the support question in comment #9 was for a different problem.
Comment 12 Scoobidiver (away) 2012-08-14 00:39:52 PDT
The user that asked this support question has ICF.dll 2.0.11.0 that doesn't contain the fix.

Note You need to log in before you can comment on or make changes to this bug.